Welcome back! Ask questions, get answers, and join our large community of tax professionals.
cancel
Showing results for 
Search instead for 
Did you mean: 

MSXML 4 Vulnerability

Level 1

Lacerte 2016 and earlier is requiring MSXML4 to operate but our vulnerability scanner is calling MSXML4 a vulnerability.

I found that Lacerte only requires MSXML4 if Quickbooks 2015 and/or earlier have been install on that machine.

It seems like QB is causing a change in what version of MSXML Lacerte points to once it is installed so if we want to get rid of the vulnerability, we have to wipe the whole computer.

All machines are Windows 10.

Has anyone found a way to fix this issue?

Labels (2)
0 Cheers
3 Replies 3
Level 13

"Has anyone found a way to fix this issue?"

Which part? You described a lot, but didn't point out your issue to be resolved.

1. I'm pretty sure MSXML 6 is the correct substitute for 4.0. I'm pretty sure MSXML 4.0 reached end of life in 2014. And I'm pretty sure 6.0 has the components needed to run 4.0-required programs.

2. I know that QB 2015 reached end of life in May 2018. The only currently supported QB programs are 2021, 2020, 2019 and 2018. QB 2018 reaches end of life in May 2021.

Did you confirm which MSXML are installed, do you have or need any QB installed, do you know if Lacerte 2016 won't run with 6.0 and needs only 4.0?

*******************************
"Level Up" is a gaming function, not a real life function.
0 Cheers
Level 1

You're right, I should have been more clear.

Most importantly, how to remove the Lacerte (16 and earlier) dependency on MSXML4 after QB has been installed.

I would like to keep Lacerte 16 and earlier installed but my only fix for that is wiping the whole computer.

0 Cheers
Level 13

The older programs got updated for the switch to W10 and 64-bit:

https://proconnect.intuit.com/community/security-and-access/help/updated-requirements-for-ty17-lacer...

You can read this topic and follow the link to the Tool Hub, and there is a support contact url there, as well:

https://proconnect.intuit.com/community/lacerte-tax-discussions/discussion/lacerte-on-new-computer/0...

They should be able to help you with the W10 system when you are wanting to keep old programs.

*******************************
"Level Up" is a gaming function, not a real life function.